org.apache.ignite.internal.processors.cache.tree

## Interface RowLinkIO

All Known Implementing Classes:
  AbstractDataInnerIO, AbstractDataLeafIO, CacheIdAwareDataInnerIO, CacheIdAwareDataLeafIO, DataInnerIO, DataLeafIO, MvccCacheIdAwareDataInnerIO, MvccCacheIdAwareDataLeafIO, MvccDataInnerIO, MvccDataLeafIO

    public interface RowLinkIO

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`default int` `getCacheId(long pageAddr, int idx)`
`int` `getHash(long pageAddr, int idx)`
`long` `getLink(long pageAddr, int idx)`
`default long` `getMvccCoordinatorVersion(long pageAddr, int idx)`
`default long` `getMvccCounter(long pageAddr, int idx)`
`default long` `getMvccLockCoordinatorVersion(long pageAddr, int idx)`
`default long` `getMvccLockCounter(long pageAddr, int idx)`
`default int` `getMvccOperationCounter(long pageAddr, int idx)`
`default void` `setMvccLockCoordinatorVersion(long pageAddr, int idx, long lockCrd)`
`default void` `setMvccLockCounter(long pageAddr, int idx, long lockCntr)`

### Method Detail

#### getLink

    long getLink(long pageAddr,
                 int idx)

Parameters:
  `pageAddr` - Page address.
  `idx` - Index.
Returns:
  Row link.

#### getHash

    int getHash(long pageAddr,
                int idx)

Parameters:
  `pageAddr` - Page address.
  `idx` - Index.
Returns:
  Key hash code.

#### getCacheId

    default int getCacheId(long pageAddr,
                           int idx)

Parameters:
  `pageAddr` - Page address.
  `idx` - Index.
Returns:
  Cache ID or `0` if cache ID is not defined.

#### getMvccCoordinatorVersion

    default long getMvccCoordinatorVersion(long pageAddr,
                                           int idx)

Parameters:
  `pageAddr` - Page address.
  `idx` - Index.
Returns:
  Mvcc coordinator version.

#### getMvccOperationCounter

    default int getMvccOperationCounter(long pageAddr,
                                        int idx)

Parameters:
  `pageAddr` - Page address.
  `idx` - Index.
Returns:
  Mvcc operation counter.

#### getMvccCounter

    default long getMvccCounter(long pageAddr,
                                int idx)

Parameters:
  `pageAddr` - Page address.
  `idx` - Index.
Returns:
  Mvcc counter.

#### getMvccLockCoordinatorVersion

    default long getMvccLockCoordinatorVersion(long pageAddr,
                                               int idx)

Parameters:
  `pageAddr` - Page address.
  `idx` - Index.
Returns:
  Mvcc coordinator version.

#### getMvccLockCounter

    default long getMvccLockCounter(long pageAddr,
                                    int idx)

Parameters:
  `pageAddr` - Page address.
  `idx` - Index.
Returns:
  Mvcc counter.

#### setMvccLockCoordinatorVersion

    default void setMvccLockCoordinatorVersion(long pageAddr,
                                               int idx,
                                               long lockCrd)

Parameters:
  `pageAddr` - Page address.
  `idx` - Index.
  `lockCrd` - Mvcc lock coordinator version.

#### setMvccLockCounter

    default void setMvccLockCounter(long pageAddr,
                                    int idx,
                                    long lockCntr)

Parameters:
  `pageAddr` - Page address.
  `idx` - Index.
  `lockCntr` - Mvcc lock counter.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020